For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.genai.list_evaluation_test_cases_by_workspace(
workspace_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
)
Returns JSONRaises HttpResponseError
Description
To list all evaluation test cases by a workspace, send a GET request to /v2/gen-ai/workspaces/{workspace_uuid}/evaluation_test_cases.
Parameters
workspace_uuid string required
Workspace UUID.
Response Example
Show Response Example
{
"evaluation_test_cases": [
{
"archived_at": "2023-01-01T00:00:00Z",
"created_at": "2023-01-01T00:00:00Z",
"created_by_user_email": "[email protected]",
"created_by_user_id": "12345",
"dataset_name": "example name",
"dataset_uuid": "123e4567-e89b-12d3-a456-426614174000",
"description": "example string",
"latest_version_number_of_runs": 123,
"metrics": [],
"name": "example name",
"test_case_uuid": "123e4567-e89b-12d3-a456-426614174000",
"total_runs": 123,
"updated_at": "2023-01-01T00:00:00Z",
"updated_by_user_email": "[email protected]",
"updated_by_user_id": "12345",
"version": 123
}
]
}
See /v2/gen-ai/workspaces/{workspace_uuid}/evaluation_test_cases in the API reference for additional detail on responses, headers, parameters, and more.